# List of software (un)affected by the log4shell CVEs
[About this list](README.md)

[0-9](software_list_0-9.md) [A](software_list_a.md) [B](software_list_b.md) [C](software_list_c.md) [D](software_list_d.md) [E](software_list_e.md) [F](software_list_f.md) [G](software_list_g.md) [H](software_list_h.md) [I](software_list_i.md) [J](software_list_j.md) [K](software_list_k.md) [L](software_list_l.md) [M](software_list_m.md) [N](software_list_n.md) [O](software_list_o.md) [P](software_list_p.md) [Q](software_list_q.md) [R](software_list_r.md) [S](software_list_s.md) [T](software_list_t.md) [U](software_list_u.md) [V](software_list_v.md) [W](software_list_w.md) [X](software_list_x.md) [Y](software_list_y.md) [Z](software_list_z.md)

### K

| Supplier | Product | Version (see Status) | Status CVE-2021-4104 | Status CVE-2021-44228 | Status CVE-2021-45046 | Status CVE-2021-45105 | Notes | Links |
|:---------|:--------|:--------------------:|:--------------------:|:---------------------:|:---------------------:|:---------------------:|:------|------:|
|K15t|All| | | | | | |[K15t Statement](https://help.k15t.com/k15t-apps-and-log4shell-193401141.html)|
|K6|All| | | | | | |[K6 Statement](https://k6.io/blog/k6-products-not-impacted-by-cve-2021-44228/)|
|Kaltura|Blackboard Learn SaaS in the classic Learn experience|v3900.28.x|Fix|Fix|Fix|Fix| |[source](https://knowledge.kaltura.com/help/blackboard-learn-release-notes#blackboard-learn-december-2021-release-notes-v5412)|
|Kaltura|Blackboard Learn Self- and Managed-Hosting|v3900.26.x|Fix|Fix|Fix|Fix| |[source](https://knowledge.kaltura.com/help/blackboard-learn-release-notes#blackboard-learn-december-2021-release-notes-v5412)|
|Karakun|All| | | | | | |"[Karakun Statement](https://board.karakun.com/viewtopic.php?f=21&amp;t=8351)"|
|Kaseya|AuthAnvil| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|BMS| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|ID Agent DarkWeb ID and BullPhish ID| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|IT Glue| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|MyGlue| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|Network Glue| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|Passly| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|products not listed above| | |Investigation| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|RocketCyber| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|Spannign Salesforce Backup| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|Spanning O365 Backup| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|Unitrends| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|Vorex| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|Kaseya|VSA SaaS and VSA On-Premises| | |Not vuln| | | |[source](https://helpdesk.kaseya.com/hc/en-gb/articles/4413449967377-Log4j2-Vulnerability-Assessment)|
|KeePass|All|All|Not vuln|Not vuln|Not vuln|Not vuln| |[source](https://sourceforge.net/p/keepass/discussion/329220/thread/4643c5ec4f/?limit=250)|
|Keeper|All| | |Fix|Fix| | |[source](https://www.keepersecurity.com/blog/2021/12/15/public-notice-regarding-the-apache-foundation-log4j-vulnerability/)|
|Keeper Security|All| | | | | | |[Keeper Security Notice](https://www.keepersecurity.com/blog/2021/12/15/public-notice-regarding-the-apache-foundation-log4j-vulnerability/)|
|KEMP|All| | | | | | |[KEMP Support](https://support.kemptechnologies.com/hc/en-us/articles/4416430695437-CVE-2021-44228-Log4j2-Exploit)|
|KEMP 2|All| | | | | | |[KEMP 2 Support](https://support.kemptechnologies.com/hc/en-us/articles/4416473820045-Progress-Kemp-LoadMaster-protects-from-security-vulnerability-Apache-Log4j-2-CVE-2021-44228-)|
|Keycloak|All|all version| |Not vuln| | | |[source](https://github.com/keycloak/keycloak/discussions/9078)|
|Kofax|Capture|All| |Not vuln| | | |[source](https://knowledge.kofax.com/Capture/Kofax_Capture/Reference/Log4J_Vulnerability_CVE-2021-44228_Does_Not_Affect_Kofax_Capture)|
|Kofax|Communication Manager (KCM)|5.3-5.5|Not vuln|Fix| | | |[source](https://knowledge.kofax.com/Communications_Manager/Troubleshooting/log4j_vulnerability_in_Kofax_Communications_Manager)|
|Kofax|Robot File System (RFS)|>=10.7|Not vuln|Workaround| | | |[source](https://knowledge.kofax.com/Robotic_Process_Automation/Troubleshooting/Kofax_RPA_CVE-2021-44228_log4j_Security_Exploit_Information)|
|Kofax|Robotic Process Automation (RPA)|11.1|Not vuln|Workaround| | | |[source](https://knowledge.kofax.com/Robotic_Process_Automation/Troubleshooting/Kofax_RPA_CVE-2021-44228_log4j_Security_Exploit_Information)|
|Kofax|Robotic Process Automation (RPA)|11.2|Not vuln|Workaround| | | |[source](https://knowledge.kofax.com/Robotic_Process_Automation/Troubleshooting/Kofax_RPA_CVE-2021-44228_log4j_Security_Exploit_Information)|
|Konica Minolta|All| | | | | | |[Konica Minolta Support](https://www.konicaminolta.de/de-de/support/log4j)|
|Kronos UKG|All| | | | | | |[Kronos UKG Statement](https://community.kronos.com/s/feed/0D54M00004wJKHiSAO?language=en_US)|
|Kyberna|All| | | | | | |[Kyberna Statement](https://www.kyberna.com/detail/log4j-sicherheitsluecke)|
